class StartInstanceResponse {
  final bool ok;
  final String? runId;
  final String? code;
  final String? error;

  StartInstanceResponse({required this.ok, this.runId, this.code, this.error});

  factory StartInstanceResponse.fromJson(Map<dynamic, dynamic> json) {
    String? error;
    if (!json['ok']) {
      error = json['error'];
    }

    return StartInstanceResponse(
      ok: json['ok'],
      runId: json['run_id'],
      code: json['code'],
      error: error,
    );
  }

  Map<String, dynamic> toJson() => {
        'ok': ok,
        'run_id': runId,
        'code': code,
        'error': error,
      };
}
